#
# spec file for package libvirt-glib
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libvirt-glib
Version:        0.2.3
Release:        3.1
Summary:        GLib and GObject mapping of libvirt
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://libvirt.org
Source:         http://libvirt.org/sources/glib/%{name}-%{version}.tar.gz
BuildRequires:  intltool >= 0.35.0
BuildRequires:  libtool
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.10.0
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.10.8
BuildRequires:  pkgconfig(gthread-2.0) >= 2.36.0
BuildRequires:  pkgconfig(libvirt) >= 0.10.2
BuildRequires:  pkgconfig(libxml-2.0) >= 2.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libvirt is a C toolkit to interact with the virtualization capabilities
of recent versions of Linux (and other OSes). It is free software
available under the GNU Lesser General Public License. Virtualization on
the Linux Operating System means the ability to run multiple instances of
Operating Systems concurrently on a single hardware system where the basic
resources are driven by a Linux instance. The library aim at providing
long term stable C API initially for the Xen paravirtualization but
should be able to integrate other virtualization mechanisms if needed

%package -n libvirt-glib-1_0-0
Summary:        GLib and GObject mapping of libvirt
Group:          System/Libraries

%description -n libvirt-glib-1_0-0
libvirt is a C toolkit to interact with the virtualization capabilities
of recent versions of Linux (and other OSes). It is free software
available under the GNU Lesser General Public License. Virtualization on
the Linux Operating System means the ability to run multiple instances of
Operating Systems concurrently on a single hardware system where the basic
resources are driven by a Linux instance. The library aim at providing
long term stable C API initially for the Xen paravirtualization but
should be able to integrate other virtualization mechanisms if needed

%package -n typelib-1_0-LibvirtGConfig-1_0
Summary:        GLib and GObject mapping of libvirt - gi-bindings
Group:          System/Libraries

%description -n typelib-1_0-LibvirtGConfig-1_0
libvirt is a C toolkit to interact with the virtualization capabilities
of recent versions of Linux (and other OSes). It is free software
available under the GNU Lesser General Public License. Virtualization on
the Linux Operating System means the ability to run multiple instances of
Operating Systems concurrently on a single hardware system where the basic
resources are driven by a Linux instance. The library aim at providing
long term stable C API initially for the Xen paravirtualization but
should be able to integrate other virtualization mechanisms if needed

%package -n typelib-1_0-LibvirtGLib-1_0
Summary:        GLib and GObject mapping of libvirt - gi-bindings
Group:          System/Libraries

%description -n typelib-1_0-LibvirtGLib-1_0
libvirt is a C toolkit to interact with the virtualization capabilities
of recent versions of Linux (and other OSes). It is free software
available under the GNU Lesser General Public License. Virtualization on
the Linux Operating System means the ability to run multiple instances of
Operating Systems concurrently on a single hardware system where the basic
resources are driven by a Linux instance. The library aim at providing
long term stable C API initially for the Xen paravirtualization but
should be able to integrate other virtualization mechanisms if needed

%package -n typelib-1_0-LibvirtGObject-1_0
Summary:        GLib and GObject mapping of libvirt - gi-bindings
Group:          System/Libraries

%description -n typelib-1_0-LibvirtGObject-1_0
libvirt is a C toolkit to interact with the virtualization capabilities
of recent versions of Linux (and other OSes). It is free software
available under the GNU Lesser General Public License. Virtualization on
the Linux Operating System means the ability to run multiple instances of
Operating Systems concurrently on a single hardware system where the basic
resources are driven by a Linux instance. The library aim at providing
long term stable C API initially for the Xen paravirtualization but
should be able to integrate other virtualization mechanisms if needed

%package devel
Summary:        GLib and GObject mapping of libvirt - Development files
Group:          Development/Languages/C and C++
Requires:       libvirt-glib-1_0-0 = %{version}
Requires:       typelib-1_0-LibvirtGConfig-1_0 = %{version}
Requires:       typelib-1_0-LibvirtGLib-1_0 = %{version}
Requires:       typelib-1_0-LibvirtGObject-1_0 = %{version}

%description devel
libvirt is a C toolkit to interact with the virtualization capabilities
of recent versions of Linux (and other OSes). It is free software
available under the GNU Lesser General Public License. Virtualization on
the Linux Operating System means the ability to run multiple instances of
Operating Systems concurrently on a single hardware system where the basic
resources are driven by a Linux instance. The library aim at providing
long term stable C API initially for the Xen paravirtualization but
should be able to integrate other virtualization mechanisms if needed

%prep
%setup -q

%build
%configure --disable-static
# Parallel build causes random failures
#make %{?_smp_mflags}
make

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%post -n libvirt-glib-1_0-0 -p /sbin/ldconfig

%postun -n libvirt-glib-1_0-0 -p /sbin/ldconfig

%files -n libvirt-glib-1_0-0 -f %{name}.lang
%defattr(-, root, root)
%doc COPYING README ChangeLog
%{_libdir}/libvirt-gconfig-1.0.so.*
%{_libdir}/libvirt-glib-1.0.so.*
%{_libdir}/libvirt-gobject-1.0.so.*

%files -n typelib-1_0-LibvirtGConfig-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/LibvirtGConfig-1.0.typelib

%files -n typelib-1_0-LibvirtGLib-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/LibvirtGLib-1.0.typelib

%files -n typelib-1_0-LibvirtGObject-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/LibvirtGObject-1.0.typelib

%files devel
%defattr(-, root, root)
%{_libdir}/libvirt-gconfig-1.0.so
%{_libdir}/libvirt-glib-1.0.so
%{_libdir}/libvirt-gobject-1.0.so
%{_datadir}/gir-1.0/LibvirtGConfig-1.0.gir
%{_datadir}/gir-1.0/LibvirtGLib-1.0.gir
%{_datadir}/gir-1.0/LibvirtGObject-1.0.gir
%{_includedir}/libvirt-gconfig-1.0/
%{_includedir}/libvirt-glib-1.0/
%{_includedir}/libvirt-gobject-1.0/
%{_libdir}/pkgconfig/libvirt-gconfig-1.0.pc
%{_libdir}/pkgconfig/libvirt-glib-1.0.pc
%{_libdir}/pkgconfig/libvirt-gobject-1.0.pc
%{_datadir}/gtk-doc/html/Libvirt-gconfig/
%{_datadir}/gtk-doc/html/Libvirt-glib/
%{_datadir}/gtk-doc/html/Libvirt-gobject/
%dir %{_datadir}/vala/
%dir %{_datadir}/vala/vapi/
%{_datadir}/vala/vapi/libvirt-gconfig-1.0.vapi
%{_datadir}/vala/vapi/libvirt-glib-1.0.vapi
%{_datadir}/vala/vapi/libvirt-gobject-1.0.vapi
%{_datadir}/vala/vapi/libvirt-gobject-1.0.deps

%changelog
* Sat Dec 19 2015 damjanovic.ivo@gmail.com
- Update to version 0.2.3:
  + virt-admin and administration API.
  + Various improvements in virtio devices support.
  + Log daemon: logging improvements and protocol.
  + network: selectively disable -Wcast-align in
    virNetDevParseDadStatus.
  + log_manager: Include configmake.h last.
  + virtlogd:
  - Fix build without DBus.
  - Use %%llu to print 64bit types.
* Thu Jul 23 2015 zaitor@opensuse.org
- Update to version 0.2.2:
  + Add API for getting interface MAC address.
  + Simplify implementation of object listing APIs.
  + Fix memory leaks of virConnect objects.
  + Port to use GTask instead of GSimpleAsyncResult.
  + Add API to get list of physical network interfaces.
  + Add API to get list of virtual networks.
  + Add API to get DHCP address of virtual networks.
  + Avoid overwriting filesystem type when setting format.
  + Include XML data for tests in dist.
  + Add support for UNIX chardev sources.
  + Fix test linking on platforms with strict linker deps.
  + Add ability to set video ram + vgamem.
- Drop 46897c1b-fs-type-fix.patch: Fixed upstream.
* Tue Jul  7 2015 cbosdonnat@suse.com
- Fix setting file system type and format.
  bsc#936841 46897c1b-fs-type-fix.patch
* Thu Jun 25 2015 zaitor@opensuse.org
- Update to version 0.2.1:
  + Fix libtoolize detection in autogen.sh.
  + Allow storage volume format compatibility level to be set.
  + Add pre-condition checks to more public API entry points.
  + Don't try to return a value from void functions.
  + Add API for controlling storage pool autostart flag.
  + Add API for filesystem image format.
  + Add loop, nbd and ploop filesystem types.
  + Fix setting of driver type when called more than once.
* Fri Dec 19 2014 zaitor@opensuse.org
- Update to version 0.2.0:
  + Support keyboard input device config.
  + Annotate some unused parameters.
  + Add support for new graphics attach API.
* Wed Aug 20 2014 zaitor@opensuse.org
- Update to version 0.1.9:
  + Add support for spiceport chardev.
  + Misc fixes to build system.
  + Fix ref counting of snapshot devices.
  + Add API for deleting snapshots.
  + Fix RPM layout for vala files.
  + Fix race in build of vala code.
  + Add API for getting security models.
  + Add classes for dealing with CPU models.
  + Fix enum generation.
  + Add API for fetching snapshots.
- Drop 0b4d331b-secmodel-caps.patch: Fixed upstream.
* Wed Jun 25 2014 cbosdonnat@suse.com
- secmodel-caps.patch patch accepted upstream, renamed into
  0b4d331b-secmodel-caps.patch with upstream changes
* Wed Jun  4 2014 cbosdonnat@suse.com
- Extended API to provide host supported security models.
  bnc#878048. secmodel-caps.patch
* Wed Jun  4 2014 cbosdonnat@suse.com
- Update to version 0.1.8:
  + Add getter/setter for UUID in domain config
  + Remove dead code / unused variables
  + Add missing symbol exports
  + Add support for setting nwfilters in domain config
  + Switch to standard gobject introspection autotools macros
  + Fix typo preventing removal of clock config
  + Add getter/setters for disk driver type
  + Add unit tests based on glib tap harness
  + Add test for validating symbol file exports
  + Add getters for domain graphics config params
  + Add more getters for domain timer config
  + Add support for hpet timer type
  + Fix event loop impl on win32
  + Fix parent class/object of pit timer class
  + Fix misc API doc bugs
  + Add more getters for domain clock config
  + Fix removal of domain CPU feature flags
  + Fix removal of capabilities CPU topology
  + Misc fixes to glib event loop integration
* Tue Jul  9 2013 dimstar@opensuse.org
- Update to version 0.1.7:
  + Fix memory leaks in domain memory setters.
  + Add APIs for configuration sdl/rdp/desktop graphics modes.
  + Add getter APIs for domain channel devices.
  + Add getter APIs for storage pools.
  + Add API for getting/setting virt type.
  + Add getter APIs for storage pool schema.
  + Add base framework for i18n of error messages.
  + Fix annotation of gvir_init_object.
  + Add getter/setter APIs for disk driver format.
  + Add APIs for domain snapshot schema.
  + Add APIs to access domain chardev source.
  + Add API to access domain device aliases.
- Add intltool BuildRequires: needed, as libvirt-glib now comes
  with i18n support (but no translations yet).
* Mon Mar 18 2013 dimstar@opensuse.org
- Update to version 0.1.6:
  + Prefer g_strlcpy over strncpy.
  + Fix potential crashes in some error handling cases.
  + Fix typo in gvir_config_init docs which broke vala binding.
  + Use 'transfer none' for argv parameter in all init functions.
  + Ensure stream data parameters are annotated to be guint8
    arrays, not gchar, since they're not NULL terminated strings.
  + Replace FSF address with URL in copyright headers.
  + Add API for changing Spice compression parameters.
* Tue Jan 15 2013 dimstar@opensuse.org
- Update to version 0.1.5:
  + Add support for bridge interface types in guest XML.
  + Add API to open a read-only connection.
  + Add support for smartcard devices in guest XML.
  + Remove storage volume from pool list after deleteing it.
* Sun Nov 18 2012 zaitor@opensuse.org
- Update to version 0.1.4:
  + Add support for configuring power management config.
  + Add API binding for updating device config.
  + Avoid SEGV when querying storage volume with NULL name.
  + Avoid reference count leak when constructing wrapped libvirt
    objects.
  + Avoid calling g_type_init for newer glib.
  + Add flags for domain reboot API.
  + Fix leak with GMutex compatibility wrappers.
  + Don't use storage volumes before the pool refresh finishes.
  + Add binding for destroying storage pools.
  + Add binding for defining storage pools.
* Thu Oct 11 2012 dimstar@opensuse.org
- Update to version 0.1.3:
  + Improve documentation for set_memory method in GVirConfigDomain
  + Handle size units for memory attributes
  + Add API for current memory
  + Fix python example to specify virt type
  + Use 1 GB of RAM in python example instead 1 TB !
  + Add API to get hypervisor name and version
  + Avoid NULL format string for g_set_error
  + Fix XXX_new_with_xml constructors for config objects
  + Add misc getters for VNC/SPICE config attributes
  + Add handling of PMSUSPENDED state
  + Add handling of WAKEUP events
  + Require libvirt 0.10.2 minimum
  + Add API for domain PM wakeup.
* Tue Aug 21 2012 dimstar@opensuse.org
- Update to version 0.1.2:
  + Add async binding for virDomainResume.
  + Fix deadlock in event loop handle/timer removal.
* Tue Aug  7 2012 dimstar@opensuse.org
- Update to version 0.1.1:
  + Add bindings for virDomainSnapshotCreate*().
  + Add bindings for virDomainRestore*().
  + Add GVir.DomainShutdownFlags() binding.
  + Add GVir.DomainXMLFlags binding.
* Wed Jul 18 2012 dimstar@opensuse.org
- Update to version 0.1.0:
  + Add setters for capabilities CPU config object
  + Add constructor for capabilities CPU config object
  + Add config object for domain CPU schema
  + Add bindings for domain save APIs
  + Add bindings for storage volume upload/download
- Changes from version 0.0.9:
  + Full API docs for libvirt-glib library
  + Add API for getting domain OS config
  + Add API for getting domain OS boot devices
  + Add APIs for querying host capabilities
  + Add missing domain OS type enum values
  + Add API for getting domain virt type
  + Add comprehensive API arg checking
  + Add API for getting domain arch
  + Allow zero timeouts in timer
  + Fix build with newer glibc-headers and -O0
  + Fix generation of filesystem source element
  + Port to use Mingw64 toolchain for automated builds
  + Add async API for starting domains
  + Fix thread safety of event loop timeouts/watches
  + Add support for filesystem type=bind|ram.
* Mon May 14 2012 dimstar@opensuse.org
- Update to version 0.0.8:
  + Fix build of test suites with Debian's libtool
  + Add API for disk source startup policy
  + Add API for domain controller devices
  + Add APIs for USB controllers
  + Add APIs for USB / PCI device addressing schemes
  + Add APIs for USB redirection devices
  + Add ASync API for fetching domain info
  + Add APIs for domain timer configuration
* Sun Apr  1 2012 zaitor@opensuse.org
- Update to version 0.0.7:
  + Fix typo in filesystem access mode constant.
  + Remove incorrect encoding of XML attributes.
  + Add support for USB redirection devices.
  + Add support for SPICE agent device.
  + Fix typo in channel device target constant.
  + Make all string getters return a const string.
  + Keep list of devices sorted in original XML order.
* Wed Mar  7 2012 dimstar@opensuse.org
- Update to version 0.0.6:
  + Add binding for virDomainBlockResize():
    gvir_domain_disk_resize().
  + Set correct target node attribute for domain interface.
  } Getter for the associated domain of a domain device.
  + Getters for GVirConfigDomainInterface attributes.
  + GVirDomainDevice now has an associated GVirConfigDomainDevice.
  + Remove now redundant 'path' property from GVirDomainDevice
    subclasses.
  + Add gvir_domain_get_devices().
  + Empty statistics for user-mode interfaces. One of the
    limitations of user-mode networking of libvirt is that you
    can't get statistics for it (not yet, at least). Instead of
    erroring-out in that case, simply return empty statistics
    result and spit a debug message.
  + Fix a GVirStream leak.
  + Also distribute GNUmakefile, cfg.mk and maint.mk files.
* Tue Feb 21 2012 dimstar@opensuse.org
- Update to version 0.0.5:
  + Fix error after finishing a stream
  + Use G_PARAM_STATIC_STRINGS
  + Add config for readonly disks
  + Add config for description/metadata
  + Fix type when creating storage volumes
  + Remove some bogus g_error usage
  + Import GNULIB's compiler warning flags support & fix problems
  + Add API for resizing storage volumes
  + Add API to check if a domain is saved
  + Add config for disk cache method
  + Add APIs to get node information
  + Add flags for deleting domains
* Tue Jan 31 2012 dimstar@opensuse.org
- Update to version 0.0.4:
  + Add support for configuring sound, serial, parallel and channel
    devices
  + Add support for newer libvirt shutdown event
  + Add support for setting SPICE/VNC passwords
  + Fix storage pool annotations
  + Improve docs for memory APIs
  + Fix problem with duplicated attributes
  + Many internal XML helper API cleanups/additions
  + Add API for retrieving list of all devices
  + Fix mixup between g_new0/g_slice_free
  + Change namespace for GVirConfig APIs (breaks ABI and API)
  + New APIs for save/suspend
* Tue Jan 10 2012 dimstar@opensuse.org
- Update to version 0.0.3:
  + Flesh out API in libvirt-gconfig to allow basic domain
    configuration
  + Don't memset private data fields, since glib already ensures
    this
  + Fix VPATH builds
  + Add syntax-check rules ensuring coding style compliance
  + Describe coding style in HACKING file
  + Expand libvirt-gobject API to allow watches on streams
  + Simplify debug system with new glib
  + Fix libvirt-gobject pkg-config file
  + Fix domain event handlig wrt transient guests
  + Don't crash if given a NULL uri to connect to
  + Expand libvirt-gobject API for storage pools & volumes
  + Fix some crashes in error paths where GError instance was NULL
  + Add vala files to the RPM
  + Add binding for open domain consoles & graphics.
- Add libtool BuildRequires.
- Split typelib file into typelib-1_0-Libvirt* subpackage.
- Add typelib-1_0-Libvirt* Requires to devel subpackage.
* Thu Nov 24 2011 dimstar@opensuse.org
- Initial package, version 0.0.2
